# Uses of Class co.aikar.commands.JDAOptions (ACF (JDA) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: JDAOptions

# Uses of Class
co.aikar.commands.JDAOptions

Packages that use JDAOptions
Package
Description
co.aikar.commands

## Uses of JDAOptions in co.aikar.commands

Methods in co.aikar.commands that return JDAOptions
Modifier and Type
Method
Description
`JDAOptions`
JDAOptions.`configProvider(@NotNull CommandConfigProvider configProvider)`
`JDAOptions`
JDAOptions.`defaultConfig(@NotNull CommandConfig defaultConfig)`
`static JDAOptions`
JDACommandManager.`options()`
`JDAOptions`
JDAOptions.`permissionResolver(@NotNull CommandPermissionResolver permissionResolver)`
Constructors in co.aikar.commands with parameters of type JDAOptions
Modifier
Constructor
Description
``
`JDACommandManager(net.dv8tion.jda.api.JDA jda, JDAOptions options)`